mia-2dsegment-per-pixel-kmeans
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dsegment-per-pixel-kmeans

#### Sysnopis:

`mia-2dsegment-per-pixel-kmeans` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program runs the segmentation of a 2D image by applying a localized k-means approach that helps to overcome intensity inhomogeneities in the image. The approach evaluates a global k-means clustering, and then separates the image into overlapping regions where more k-means iterations are run only including the locally present classes, i.e. the classes that relatively contain more pixels than a given threshold.

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  image to be segmented. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  class label image based on merging local labels. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-w, --window=20; int in [3, inf)

  Window size around the pixel to be analyzed

-n, --nclasses=3; uint in [2, 127]

  Number of intensity classes to segment

-t, --relative-cluster-threshold=0.0001; double in [0, 1)

  Number of intensity classes to segment

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run the segmentation on image test.png using three classes, local regions of 40 pixels (grid width 20 pixels), and a class ignore threshold of 0.01.

    mia-2dsegment-per-pixel-kmeans -i test.png -o label.png -n 3 -g 20 -t 0.01

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dsegment-local-kmeans | Home | Registration, Comparison, and Transformation of 2D images